@charset "utf-8";

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
	display: block;
}

body {
	min-width: 305px;
}

body,
html {
	font-size: 16px;
	line-height: 1.6em;
	font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
	font-weight: 400;
	font-style: normal;
	-webkit-font-smoothing: antialiased;
	-webkit-text-size-adjust: 100%;
	height: 100%;
	scroll-behavior: smooth;
	user-select: none;
  	-webkit-user-select: none;
	-ms-user-select: none;
	-webkit-user-drag: none;
}

a,
a:visited,
button {
	text-decoration: none;
	-webkit-transition: 0.3s all ease;
	-moz-transition: 0.3s all ease;
	-o-transition: 0.3s all ease;
	transition: 0.3s all ease;
}

p a,
p a:visited {
	line-height: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6,
strong {
	font-weight: 600;
}

h1:not(:first-child),
h2:not(:first-child),
h3:not(:first-child),
h4:not(:first-child),
h5:not(:first-child),
h6:not(:first-child),
.text-lg:not(:first-child) {
	margin-top: 15px;
}

h1:not(:last-child),
h2:not(:last-child),
h3:not(:last-child),
h4:not(:last-child),
h5:not(:last-child),
h6:not(:last-child),
.text-lg:not(:last-child) {
	margin-bottom: 15px;
}

em {
	font-style: italic;
}

small {
	font-size: 85%;
}

sup {
	font-size: 75%;
	vertical-align: super;
	line-height: 1;
}

img {
	vertical-align: top;
	max-width: 100%;
	height: auto;
}

*,
*:before,
*:after {
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}

main {
	flex: 1 0 auto;
	position: relative;
	min-height: 300px;
}

.no-touch a[href^='tel:'],
.noLink {
	pointer-events: none;
	cursor: text;
}
::-webkit-scrollbar {
  -webkit-appearance: auto;
  width: 7px;
}
::-webkit-scrollbar-corner,
::-webkit-scrollbar-track {
  background:transparent;
}
::-webkit-scrollbar-thumb {
	cursor: pointer;
  background: rgba(0, 0, 0, 0.2);
  border-radius: 12px;
	transition-property: color, background-color;
}
::-webkit-scrollbar-thumb:hover {
  background: rgba(0, 0, 0, 0.5);
}

h1 {
	font-size: 1.8em;
	line-height: 1em;
}

h2 {
	font-size: 1.6em;
	line-height: 1.3em;
}

h3, .text-lg {
	font-size: 1.4em;
}

h4, .text-base {
	font-size: 1.25em;
}

h5 {
	font-size: 1.2em;
}

/* ol,
ul {
	list-style: none;
} */

main ul,
main ol {
	margin: 15px 0 15px 5px;
}

main ul li,
main ol li,
.footer ul li {
	margin-bottom: 8px;
	/* list-style-type: disc; */
	padding: 0;
	margin-left: 20px;
	display: list-item;
	line-height: 1.4em;
}

/* main ol li {
	list-style-type: decimal;
} */

main ol ul {
	margin-top: 10px;
}

table {
	margin: 10px 0 10px 0;
	font-size: 0.9em;
	color: var(--text);
	background: #fff;
	border-collapse: collapse;
	border-spacing: 0;
	width: 100%;
	table-layout: fixed;
}

table th {
	padding: 5px;
	text-align: left;
	font-size: 1em;
	background-color: var(--secondary);
	font-weight: 500;
	border: 1px solid rgb(0 0 0 / 10%);
}

table td {
	padding: 5px;
	border: 1px solid rgb(0 0 0 / 7%);
}

table a {
	word-break: break-word;
}

table th a {
	color: #cbdbe6;
}

table th a:hover {
	color: #fff;
}

.content a {
	color: var(--text);
	text-decoration: underline;
	cursor: pointer;
}

.content a:hover {
	text-decoration: none;
}

p {
	word-wrap: break-word;
}

p:not(:last-child) {
	margin-bottom: 15px;
}

p.nomargin {
	margin-bottom: 0;
}

hr {
	font-size: 1px;
	line-height: 1px;
	height: 1px;
	margin: 40px 0;
	border: 0px;
	border-top: 1px solid var(--secondary);
}

.hidden {
	display: none;
}

.sr-only {
	border: 0;
	clip: rect(0 0 0 0);
	height: 1px;
	margin: -1px;
	overflow: hidden;
	padding: 0;
	position: absolute;
	width: 1px;
	white-space: nowrap;
}

.sr-only.focusable:active,
.sr-only.focusable:focus {
	clip: auto;
	height: auto;
	margin: 0;
	overflow: visible;
	position: static;
	width: auto;
	white-space: inherit;
}

.clearfix:before,
.clearfix:after {
	content: ' ';
	display: table;
}

.clearfix:after {
	clear: both;
}

.clear {
	clear: both;
}

.row {
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
	-ms-flex: 0 1 auto;
	-webkit-flex: 0 1 auto;
	flex: 0 1 auto;
	-webkit-flex-direction: row;
	-ms-flex-direction: row;
	flex-direction: row;
	-webkit-flex-wrap: wrap;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
}

.column {
	-webkit-flex-direction: column;
	-ms-flex-direction: column;
	flex-direction: column;
}

.nowrap {
	-webkit-flex-wrap: nowrap;
	-ms-flex-wrap: nowrap;
	flex-wrap: nowrap;
}

.row-reverse {
	-webkit-flex-direction: row-reverse;
	-ms-flex-direction: row-reverse;
	flex-direction: row-reverse;
}

.items-center {
	align-items: center;
}

.itemstart {
	align-items: flex-start;
}

.justify {
	-webkit-justify-content: space-between;
	-ms-justify-content: space-between;
	justify-content: space-between;
}

.contentcenter {
	-webkit-justify-content: center;
	-ms-justify-content: center;
	justify-content: center;
}
.justify-start {
	-webkit-justify-content: flex-start;
	-ms-justify-content: flex-start;
	justify-content: flex-start;
}
.text-center {
	text-align: center;
}

.text-right {
	text-align: right;
}
.text-justify {
	text-align: justify;
}
.flex-1 {
	flex: 1 1 0%;
}

.gridBox{
	display: grid;
}
.gap40{
	gap: 40px;
}

.gap10 {
	gap: 10px;
}
.fullwidth {
	width: 100%;
}
.col12 {
	width: 48%;
}
.capitalize {
	text-transform: capitalize;
}
.subText {
	color: var(--subtext);
}
.text-sm {
	font-size: 0.875rem;
}
#app {
	position: relative;
	min-height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	overflow-x: hidden;
	color: var(--text);
	-webkit-user-drag: none;
}
.popup-open {
	overflow: hidden;
}

.container {
	position: relative;
	margin-left: auto;
	margin-right: auto;
	padding: 0;
	width: 92%;
	max-width: 1300px;
	z-index: 1;
}

.smallWrap {
	max-width: 900px;
}

.sidebar {
	width: 300px;
	border-right: 1px solid rgba(0, 0, 0, 0.1);
	padding: 10px;
	background-color: var(--body);
	z-index: 10000;
}
.contentbar {
	flex: 1;
}

.mt {
	margin-top: 70px;
}

.mb {
	margin-bottom: 70px;
}

.mt40 {
	margin-top: 40px;
}

.mb40 {
	margin-bottom: 40px;
}

.pb {
	padding-bottom: 70px;
}

.pt {
	padding-top: 70px;
}

.uppercase {
	text-transform: uppercase;
}

.overflow {
	overflow: hidden;
}

.btnGroup {
	margin-top: 15px;
}

.btnGroup a,
.btn, .secondaryBtn, .loginBtn button {
	background-color: var(--primary);
	color: var(--textColor);
	padding: 7px 16px;
	cursor: pointer;
	text-decoration: none;
	font-weight: 600;
	border-radius: 5px;
	border: 0;
	font-size: 0.9rem;
}
.loginBtn button{
	white-space: nowrap;
}
.btnGroup a:hover,
.btn:hover, .loginBtn button:hover {
	color: var(--text);
	background-color: var(--secondary);
}
.secondaryBtn, .subscribe-message .loginBtn button {
	background-color: var(--secondary);
	color: var(--text);
}

.secondaryBtn:hover, .subscribe-message .loginBtn button:hover {
	color: var(--textColor);
}
.bottomNav .secondaryBtn{
	line-height: 1.2;
	text-decoration: none;
}
.img-wrap {
	position: relative;
	cursor: pointer;
}

.copy-icon {
	display: none;
	position: absolute;
	top: calc(50% - 40px);
	right: calc(50% - 75px);
	width: 150px;
	height: 80px;
	background: rgba(255, 255, 255, 0.8);
	border-radius: 10px;
	line-height: 1;
	z-index: 1;
}
.copy-icon>small{
	display: block;
	font-weight: 500;
}
.img-wrap:hover:after {
	position: absolute;
	content: "";
	top: 0;
	bottom: 0;
	right: 0;
	left: 0;
	background: radial-gradient(ellipse at center,  rgba(0,0,0,0.65) 0%,rgba(0,0,0,0) 100%);
}
.img-wrap:hover .copy-icon {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 5px;
}
.dropBox {
	position: relative;
	/* min-width: 80px;	 */
}
.dropBox .dropItem, .dropBtn{
	background-color: transparent;
	color: var(--text);
	margin: 0;
	text-decoration: none;
	border-radius: 5px;
	border: 0;
	outline: none;
	font-size: 0.85rem;
	line-height: 1.3;
}
.dropBox button.dropItem, .dropBtn{
	cursor: pointer;
}
.dropBtn {
	padding: 0px;
	display: block;
	margin-left: auto;
}
.dropBtn svg {
	display: block;
}
.dropBox .userAvatar{
	width: 36px;
	height: 36px;
	border-radius: 50%;
	background-color: #f1f5f9;
	display: flex;
	justify-content: center;
	align-items: center;
	object-fit: cover;
}
.dropBox .dropItems{
	position: absolute;
	max-width: 300px;
	right: 0;
	background: #fff;
	margin: 0;
	border: 1px solid rgb(0 0 0 / 10%);
	box-shadow: 0px 4px 6px -1px #0000001a,0px 2px 4px -1px #0000000f;
	border-radius: 5px;
	z-index: 10;
}
.dropBox .dropItem{
	padding: 10px 15px;
	width: 100%;
	border-radius: 0;
	display: flex;
	align-items: center;
	gap: 10px;
}
.dropBox .dropItem:not(:last-child){
	border-bottom: 1px solid rgb(0 0 0 / 10%);
}
.dropBox button.dropItem:hover, .dropOpen{
	background-color: var(--secondary);
}
.dropBox .dropItem .dropImage {
	width: 40px;
}
.dropBox .dropItem .userAvatar {
width: 40px;
 height: 40px;
}
.dropBox .dropItem .userDetail {
flex: 1;
display: flex;
    flex-direction: column;
		overflow: hidden;
}
.dropBox .dropItem .userDetail span{
text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}
/* ~~~~~~~~~~~~~~~ */
.header {
	position: relative;
	width: 100%;
	z-index: 11;
}
.topWrap {
	padding: 10px 30px;
	border-bottom: 1px solid rgb(0 0 0 / 10%);
	gap: 5px;
}
.topLeft {
	position: relative;
	/* width: 80px; */
	flex-basis: 0px;
  flex-grow: 1;
}
.logo {
	display: block;
}
.logo img {
	max-width: 80px;
	max-height: 80px;
	width: auto;
	object-fit: contain;
	display: block;
}
.logoName {
	text-transform: capitalize;
	font-size: 1.6em;
	line-height: 1.2;
	color: var(--text);
	font-weight: 600;
	text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  flex-grow: 0;
}
.topRight {
	gap: 8px;
	flex-basis: 0px;
  flex-grow: 1;
	justify-content: flex-end;
}

.topRight .btnGroup {
	margin-top: 0;
}

.topRight .btnGroup a {
	padding: 5px 15px;
	font-size: 0.9em;
}

/* ~~~~~~~~~~~~~~ */
.footer {
	position: relative;
	width: 100%;
	border-top: 1px solid rgb(0 0 0 / 10%);
	padding: 15px 0;
	font-size: 0.9em;
	color: var(--subtext);
}

.footer a {
	text-decoration: none;
}

.welcomeLogo {
	width: 100%;
	max-width: 250px;
	margin-left: auto;
	margin-right: auto;
}
.privateContent {
	height: 220px;
	overflow: hidden;
	pointer-events: none;
}
.subscribe-message {
	position: relative;
	padding: 20px;
	background-color: var(--primary);
	text-align: center;
	color: var(--textColor)
}
.subscribe-message:before {
	content: "";
	position: absolute;
	height: 80px;
	width: 100%;
	top: -80px;
	left: 0;
	background: linear-gradient(to top,  var(--primary) 0%,rgba(255,255,255,0) 100%);
}
.privateContent.solidBlock {
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 20px;
	background-color: var(--primary);
	border-radius: 10px;
	pointer-events: auto;
}
.subscribe-message.solidBlock {
	padding: 0;
	background-color: transparent;
}
.subscribe-message.solidBlock:before {
	display: none;
}
.subscribe-message a{
	color: var(--textColor);
}

.imgBox {
	width: 100%;
	max-width: 30%;
	display: block;
	margin: 20px auto;
	text-align: center;
}

/* .imgBox img {
	-webkit-box-shadow: 0 0px 10px 0px rgba(0, 0, 0, 0.1);
	box-shadow: 0 0px 10px 0px rgba(0, 0, 0, 0.1);
	padding: 6px;
} */

.fullImg {
	max-width: inherit;
	clear: both;
}

.leftimg {
	float: left;
	margin-right: 20px;
}

.rightimg {
	float: right;
	margin-left: 20px;
}
/* Sidemenu */

.sidemenu {
	margin: 0;
	list-style: none;
}
.sidemenu>li {
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  font-weight: 600;
}

.sidemenu li {
  position: relative;
	margin-left: 0;
	display: block;
}
.sidemenu li .nav-item {
	position: relative;
	padding-right: 38px;
}
.sidemenu li a {
  color: var(--subtext);
  line-height: 1.3;
  padding: 8px;
  display: block;
}

.sidemenu li li a {
  font-weight: 500;
  line-height: 1.2;
}

.sidemenu .submenu {
  padding: 0;
  font-size: 0.9em;
  margin:1px 0 0 10px;
	display: none;
}

.sidemenu .mobiOpen, .sidemenu li.active>.submenu {
	display: block;
}
.sidemenu li.active>.nav-item>button {
	display: none;
}
.sidemenu li.active>.nav-item {
	background-color: var(--secondary);
	border-radius: 4px;
}
.sidemenu li.active>.nav-item>a {
  color: var(--text);
}

.sidemenu li .droparrow {
  position: absolute;
  top: 0;
  right: 0px;
  width: 38px;
  height: 100%;
  cursor: pointer;
  background-color: rgba(0, 0, 0, 0.02);
	border: none;
	outline: none;
}

.sidemenu li .droparrow:after, .sidemenu li .droparrow:before {
  top: 50%;
  content: " ";
  height: 2px;
  width: 9px;
  position: absolute;
  background-color: var(--text);
  pointer-events: none;
  -webkit-transition: 0.3s all;
  -moz-transition: 0.3s all;
  transition: 0.3s all;
}

.sidemenu li .droparrow:after {
  right: 12px;
  -moz-transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

.sidemenu li .droparrow:before {
  left: 12px;
  -moz-transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.sidemenu li .droparrow.open:after {
  -moz-transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.sidemenu li .droparrow.open:before {
  -moz-transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

/* Navigation */
.menu,
.menu > li,
.menu > li>.nav-item,
.flex {
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
}

.menu li {
	list-style: none;
}

.menu > li {
	position: relative;
	margin-left: 1px;
	margin-right: 1px;
}

.menu li .nav-item {
	position: relative;
}

.menu li a {
	position: relative;
	padding: 10px;
	font-weight: 500;
	text-align: center;
	color: var(--text);
}

.menu .submenu, .menu .droparrow {
	display: none;
}

.menu li:hover>.nav-item>a,
.menu li.active>.nav-item>a {
	color: var(--text);
	background-color: var(--secondary);
}

#menu-trigger {
	display: none;
}

.card-container {
	border: 1px solid #eee;
	border-radius: 10px;
	margin: 1rem 0;
	padding: 1rem;
	overflow: hidden;
}

.card-title {
	position: relative;
	font-weight: bold;
	list-style: none;
	outline: none;
}

.read-only {
	pointer-events: none;
}

.PlaygroundEditorTheme__ltr {
	text-align: left;
}

.PlaygroundEditorTheme__rtl {
	text-align: right;
}

.PlaygroundEditorTheme__paragraph {
	margin: 0;
	position: relative;
}

.PlaygroundEditorTheme__quote {
	margin: 0;
	margin-left: 20px;
	margin-bottom: 10px;
	font-size: 15px;
	color: rgb(101, 103, 107);
	border-left-color: rgb(206, 208, 212);
	border-left-width: 4px;
	border-left-style: solid;
	padding-left: 16px;
}

.PlaygroundEditorTheme__h1 {
	font-size: 24px;
	color: rgb(5, 5, 5);
	font-weight: 400;
	margin: 0;
}

.PlaygroundEditorTheme__h2 {
	font-size: 15px;
	color: rgb(101, 103, 107);
	font-weight: 700;
	margin: 0;
	text-transform: uppercase;
}

.PlaygroundEditorTheme__h3 {
	font-size: 12px;
	margin: 0;
	text-transform: uppercase;
}

.PlaygroundEditorTheme__indent {
	--lexical-indent-base-value: 40px;
}

.PlaygroundEditorTheme__textBold {
	font-weight: bold;
}

.PlaygroundEditorTheme__textItalic {
	font-style: italic;
}

.PlaygroundEditorTheme__textUnderline {
	text-decoration: underline;
}

.PlaygroundEditorTheme__textStrikethrough {
	text-decoration: line-through;
}

.PlaygroundEditorTheme__textUnderlineStrikethrough {
	text-decoration: underline line-through;
}

.PlaygroundEditorTheme__textSubscript {
	font-size: 0.8em;
	vertical-align: sub !important;
}

.PlaygroundEditorTheme__textSuperscript {
	font-size: 0.8em;
	vertical-align: super;
}

.PlaygroundEditorTheme__textCode {
	background-color: rgb(240, 242, 245);
	padding: 1px 0.25rem;
	font-family: Menlo, Consolas, Monaco, monospace;
	font-size: 94%;
}

.PlaygroundEditorTheme__hashtag {
	background-color: rgba(88, 144, 255, 0.15);
	border-bottom: 1px solid rgba(88, 144, 255, 0.3);
}

.PlaygroundEditorTheme__link {
	color: rgb(33, 111, 219);
	text-decoration: none;
}

.PlaygroundEditorTheme__link:hover {
	text-decoration: underline;
	cursor: pointer;
}

.PlaygroundEditorTheme__code {
	background-color: rgb(240, 242, 245);
	font-family: Menlo, Consolas, Monaco, monospace;
	display: block;
	padding: 8px 8px 8px 52px;
	line-height: 1.53;
	font-size: 13px;
	margin: 0;
	margin-top: 8px;
	margin-bottom: 8px;
	overflow-x: auto;
	position: relative;
	tab-size: 2;
}

.PlaygroundEditorTheme__code:before {
	content: attr(data-gutter);
	position: absolute;
	background-color: #eee;
	left: 0;
	top: 0;
	border-right: 1px solid #ccc;
	padding: 8px;
	color: #777;
	white-space: pre-wrap;
	text-align: right;
	min-width: 25px;
}

.PlaygroundEditorTheme__table {
	border-collapse: collapse;
	border-spacing: 0;
	overflow-y: scroll;
	overflow-x: scroll;
	table-layout: fixed;
	width: max-content;
	margin: 0px 25px 30px 0px;
}

.PlaygroundEditorTheme__tableSelection *::selection {
	background-color: transparent;
}

.PlaygroundEditorTheme__tableSelected {
	outline: 2px solid rgb(60, 132, 244);
}

.PlaygroundEditorTheme__tableCell {
	border: 1px solid #bbb;
	width: 75px;
	min-width: 75px;
	vertical-align: top;
	text-align: start;
	padding: 6px 8px;
	position: relative;
	outline: none;
}

.PlaygroundEditorTheme__tableCellSortedIndicator {
	display: block;
	opacity: 0.5;
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 4px;
	background-color: #999;
}

.PlaygroundEditorTheme__tableCellResizer {
	position: absolute;
	right: -4px;
	height: 100%;
	width: 8px;
	cursor: ew-resize;
	z-index: 10;
	top: 0;
}

.PlaygroundEditorTheme__tableCellHeader {
	background-color: #f2f3f5;
	text-align: start;
}

.PlaygroundEditorTheme__tableCellSelected {
	background-color: #c9dbf0;
}

.PlaygroundEditorTheme__tableCellPrimarySelected {
	border: 2px solid rgb(60, 132, 244);
	display: block;
	height: calc(100% - 2px);
	position: absolute;
	width: calc(100% - 2px);
	left: -1px;
	top: -1px;
	z-index: 2;
}

.PlaygroundEditorTheme__tableCellEditing {
	box-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
	border-radius: 3px;
}

.PlaygroundEditorTheme__tableAddColumns {
	position: absolute;
	background-color: #eee;
	height: 100%;
	animation: table-controls 0.2s ease;
	border: 0;
	cursor: pointer;
}

.PlaygroundEditorTheme__tableAddColumns:after {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	display: block;
	content: ' ';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	opacity: 0.4;
}

.PlaygroundEditorTheme__tableAddColumns:hover,
.PlaygroundEditorTheme__tableAddRows:hover {
	background-color: #c9dbf0;
}

.PlaygroundEditorTheme__tableAddRows {
	position: absolute;
	width: calc(100% - 25px);
	background-color: #eee;
	animation: table-controls 0.2s ease;
	border: 0;
	cursor: pointer;
}

.PlaygroundEditorTheme__tableAddRows:after {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	display: block;
	content: ' ';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	opacity: 0.4;
}

.grid, .grid-1, .grid-2 {
	position: relative;
	margin-top: 1.5rem;
	margin-bottom: 1.5rem;
	display: grid;
  grid-template-columns: repeat(3, minmax(0, 1fr));
	gap: 1.5rem;
}

.grid .card-container {
	background: #fff;
  box-shadow: 0 0 15px 0px rgb(0 0 0 / 10%);
  padding: 1rem;
	margin: 0;
}

.grid .imgBox {
  margin-top: 0;
	margin-bottom: 0;
}
.grid .card-container>*:not(:last-child), .grid .card-content>*:not(:last-child) {
	margin-bottom: 1rem;
}
.grid .imgBox img {
  box-shadow: none;
  padding: 0;
}

@keyframes table-controls {
	0% {
		opacity: 0;
	}

	100% {
		opacity: 1;
	}
}

.PlaygroundEditorTheme__tableCellResizeRuler {
	display: block;
	position: absolute;
	width: 1px;
	background-color: rgb(60, 132, 244);
	height: 100%;
	top: 0;
}

.PlaygroundEditorTheme__tableCellActionButtonContainer {
	display: block;
	right: 5px;
	top: 6px;
	position: absolute;
	z-index: 4;
	width: 20px;
	height: 20px;
}

.PlaygroundEditorTheme__tableCellActionButton {
	background-color: #eee;
	display: block;
	border: 0;
	border-radius: 20px;
	width: 20px;
	height: 20px;
	color: #222;
	cursor: pointer;
}

.PlaygroundEditorTheme__tableCellActionButton:hover {
	background-color: #ddd;
}

.PlaygroundEditorTheme__characterLimit {
	display: inline;
	background-color: #ffbbbb !important;
}

.PlaygroundEditorTheme__ol1 {
	list-style-type: decimal;
	margin: 0;
	padding: 0;
	list-style-position: inside;
}

.PlaygroundEditorTheme__ol2 {
	padding: 0;
	margin: 0;
	list-style-type: upper-alpha;
	list-style-position: outside;
}

.PlaygroundEditorTheme__ol3 {
	padding: 0;
	margin: 0;
	list-style-type: lower-alpha;
	list-style-position: outside;
}

.PlaygroundEditorTheme__ol4 {
	padding: 0;
	margin: 0;
	list-style-type: upper-roman;
	list-style-position: outside;
}

.PlaygroundEditorTheme__ol5 {
	padding: 0;
	margin: 0;
	list-style-type: lower-roman;
	list-style-position: outside;
}

.PlaygroundEditorTheme__ul {
	padding: 0;
	margin: 0;
	list-style-type: disc;
	list-style-position: outside;
}

.PlaygroundEditorTheme__listItem {
	margin: 0 32px;
}

.PlaygroundEditorTheme__listItemChecked,
.PlaygroundEditorTheme__listItemUnchecked {
	position: relative;
	margin-left: 8px;
	margin-right: 8px;
	padding-left: 24px;
	padding-right: 24px;
	list-style-type: none;
	outline: none;
}

.PlaygroundEditorTheme__listItemChecked {
	text-decoration: line-through;
}

.PlaygroundEditorTheme__listItemUnchecked:before,
.PlaygroundEditorTheme__listItemChecked:before {
	content: '';
	width: 16px;
	height: 16px;
	top: 2px;
	left: 0;
	cursor: pointer;
	display: block;
	background-size: cover;
	position: absolute;
}

.PlaygroundEditorTheme__listItemUnchecked[dir='rtl']:before,
.PlaygroundEditorTheme__listItemChecked[dir='rtl']:before {
	left: auto;
	right: 0;
}

.PlaygroundEditorTheme__listItemUnchecked:focus:before,
.PlaygroundEditorTheme__listItemChecked:focus:before {
	box-shadow: 0 0 0 2px #a6cdfe;
	border-radius: 2px;
}

.PlaygroundEditorTheme__listItemUnchecked:before {
	border: 1px solid #999;
	border-radius: 2px;
}

.PlaygroundEditorTheme__listItemChecked:before {
	border: 1px solid rgb(61, 135, 245);
	border-radius: 2px;
	background-color: #3d87f5;
	background-repeat: no-repeat;
}

.PlaygroundEditorTheme__listItemChecked:after {
	content: '';
	cursor: pointer;
	border-color: #fff;
	border-style: solid;
	position: absolute;
	display: block;
	top: 6px;
	width: 3px;
	left: 7px;
	right: 7px;
	height: 6px;
	transform: rotate(45deg);
	border-width: 0 2px 2px 0;
}

.PlaygroundEditorTheme__nestedListItem {
	list-style-type: none;
}

.PlaygroundEditorTheme__nestedListItem:before,
.PlaygroundEditorTheme__nestedListItem:after {
	display: none;
}

.PlaygroundEditorTheme__tokenComment {
	color: slategray;
}

.PlaygroundEditorTheme__tokenPunctuation {
	color: #999;
}

.PlaygroundEditorTheme__tokenProperty {
	color: #905;
}

.PlaygroundEditorTheme__tokenSelector {
	color: #690;
}

.PlaygroundEditorTheme__tokenOperator {
	color: #9a6e3a;
}

.PlaygroundEditorTheme__tokenAttr {
	color: #07a;
}

.PlaygroundEditorTheme__tokenVariable {
	color: #e90;
}

.PlaygroundEditorTheme__tokenFunction {
	color: #dd4a68;
}

.PlaygroundEditorTheme__mark {
	background: rgba(255, 212, 0, 0.14);
	border-bottom: 2px solid rgba(255, 212, 0, 0.3);
	padding-bottom: 2px;
}

.PlaygroundEditorTheme__markOverlap {
	background: rgba(255, 212, 0, 0.3);
	border-bottom: 2px solid rgba(255, 212, 0, 0.7);
}

.PlaygroundEditorTheme__mark.selected {
	background: rgba(255, 212, 0, 0.5);
	border-bottom: 2px solid rgba(255, 212, 0, 1);
}

.PlaygroundEditorTheme__markOverlap.selected {
	background: rgba(255, 212, 0, 0.7);
	border-bottom: 2px solid rgba(255, 212, 0, 0.7);
}

.PlaygroundEditorTheme__embedBlock {
	user-select: none;
}

.PlaygroundEditorTheme__embedBlockFocus {
	outline: 2px solid rgb(60, 132, 244);
}

.PlaygroundEditorTheme__layoutContainer {
	display: grid;
	gap: 10px;
	margin: 10px 0;
}

.PlaygroundEditorTheme__layoutItem {
	border: 1px dashed #ddd;
	padding: 8px 16px;
}

.PlaygroundEditorTheme__autocomplete {
	color: #ccc;
}

.PlaygroundEditorTheme__hr {
	padding: 2px 2px;
	border: none;
	margin: 1em 0;
	cursor: pointer;
}

.PlaygroundEditorTheme__hr:after {
	content: '';
	display: block;
	height: 2px;
	background-color: #ccc;
	line-height: 2px;
}

.PlaygroundEditorTheme__hr.selected {
	outline: 2px solid rgb(60, 132, 244);
	user-select: none;
}

.iframe iframe {
	width: 100%;
	height: 80vh;
}

@media screen and (max-width: 1023px) {
	body,
	html {
		font-size: 16px;
	}

	.container {
		width: calc(100% - 40px);
	}
	.topWrap {
		padding: 10px 20px;
	}
	.pt {
		padding-top: 40px;
	}

	.pb {
		padding-bottom: 40px;
	}

	.sidebar {
		display: none;
	}
	.dropBox {
		min-width: auto;
	}
	.nav {
		display: none;
		/* top: 100%;
		right: 0;
		position: absolute;
		z-index: 15; */
		background-color: #fff;
		box-shadow: 0px 2px 7px 0px rgba(0, 0, 0, 0.1);
		/* width: 288px; */
	}

	.nav.showMobiNav,
	.menu {
		display: block;
	}

	.menu > li {
		margin: 0;
		display: block;
		border-bottom: 1px solid rgba(0, 0, 0, 0.1);
	}
	.menu > li:last-child {
		border-bottom: none;
	}
	.menu li .nav-item {
		padding-left: 40px;
	}

	.menu li a {
		line-height: 1.3em;
		display: block;
		padding: 10px 10px 10px 0px;
		text-align: left;
	}

	.menu li ul li a {
		font-size: 0.9em;
	}

	.menu .submenu {
		padding-left: 10px;
	}

	.menu .mobiOpen {
		display: block;
	}

	.menu li:hover>.nav-item>a,
	.menu li.active>.nav-item>a {
		background-color: transparent;
	}
	.menu li.active>.nav-item>a {
		font-weight: 600;
	}

	.menu li .droparrow {
		position: absolute;
		top: 0;
		left: 0px;
		width: 40px;
		height: 100%;
		cursor: pointer;
		border: none;
		background-color: rgba(0, 0, 0, 0.02);
		outline: none;
		display: block
	}

	.menu li .droparrow:after,
	.menu li .droparrow:before {
		top: 50%;
		content: ' ';
		height: 2px;
		width: 8px;
		position: absolute;
		background-color: var(--text);
		pointer-events: none;
		-webkit-transition: 0.3s all;
		-moz-transition: 0.3s all;
		transition: 0.3s all;
	}

	.menu li .droparrow:after {
		right: 14px;
		-moz-transform: rotate(-45deg);
		-webkit-transform: rotate(-45deg);
		-o-transform: rotate(-45deg);
		-ms-transform: rotate(-45deg);
		transform: rotate(-45deg);
	}

	.menu li .droparrow:before {
		left: 13px;
		-moz-transform: rotate(45deg);
		-webkit-transform: rotate(45deg);
		-o-transform: rotate(45deg);
		-ms-transform: rotate(45deg);
		transform: rotate(45deg);
	}

	.menu li .droparrow.open:after {
		-moz-transform: rotate(45deg);
		-webkit-transform: rotate(45deg);
		-o-transform: rotate(45deg);
		-ms-transform: rotate(45deg);
		transform: rotate(45deg);
	}

	.menu li .droparrow.open:before {
		-moz-transform: rotate(-45deg);
		-webkit-transform: rotate(-45deg);
		-o-transform: rotate(-45deg);
		-ms-transform: rotate(-45deg);
		transform: rotate(-45deg);
	}

	#menu-trigger {
		display: block;
		position: relative;
		z-index: 11;
		width: 36px;
		height: 36px;
		cursor: pointer;
		border-radius: 5px;
		background-color: var(--secondary);
		outline: none;
		box-shadow: none;
		border: none;
	}

	#menu-trigger span,
	#menu-trigger span:before,
	#menu-trigger span:after {
		position: absolute;
		width: 20px;
		left: 0;
		right: 0;
		height: 2px;
		background-color: var(--text);
		-webkit-transition: all 0.3s ease;
		transition: all 0.3s ease;
	}

	#menu-trigger span {
		top: 50%;
		margin: -1px auto auto;
		display: block;
		font-size: 0px;
	}

	#menu-trigger span:after {
		top: 7px;
		content: '';
	}

	#menu-trigger span:before {
		top: -7px;
		content: '';
	}

	.showMobiNav#menu-trigger span {
		background-color: transparent;
	}

	.showMobiNav#menu-trigger span:before {
		-webkit-transform: translateY(0) rotate(45deg);
		transform: translateY(0) rotate(45deg);
		top: 0;
		left: 0;
	}

	.showMobiNav#menu-trigger span:after {
		-webkit-transform: translateY(0) rotate(-45deg);
		transform: translateY(0) rotate(-45deg);
		top: 0;
		left: 0;
	}
}

@media screen and (max-width: 767px) {
	.pt {
		padding-top: 30px;
	}

	.pb {
		padding-bottom: 30px;
	}

	.col12 {
		width: 100%;
	}
	.homeText {
		text-align: center;
	}

	.imgBox,
	.leftimg,
	.rightimg {
		float: none;
		margin: 15px auto;
		text-align: center;
		width: 100%;
		max-width: 100%;
	}
	.btnGroup a, .btn, .secondaryBtn {
		padding: 7px;
	}
	.logoName {
			font-size: 1.3em;
			flex: 1;
	}
	.mb40 {
			margin-bottom: 20px;
	}
	.mt40 {
			margin-top: 20px;
	}
	.contentbar {
		width: 100%;
	}
	.tableScrollable {
		overflow-x: auto;
		-webkit-overflow-scrolling: touch;
	}
	.tableScrollable table {
		min-width: 500px;
		table-layout: auto;
	}
	.footer .container{
		flex-direction: column;
	}
	.footer span{
		display: none;
	}
	hr {
    margin: 20px 0;
	}
}

@media screen and (max-width: 479px) {
	body,
	html {
		font-size: 15px;
	}
	.topLeft, .topRight {
		width: auto;
		flex-basis: initial;
    flex-grow: initial;
	}
	.logo img {
    max-width: 50px;
    max-height: 50px;
}
}
@media print {
  .nav, .footer, .logo, .topRight, .sidebar, body {
    display: none;
  }
	.topWrap {
    padding:0;
		width: 94%;
		max-width: 900px;
		margin: 0 auto;
    border-bottom: none;
	}
	.mb40 {
			margin-bottom: 20px;
	}
	.mt40 {
			margin-top: 20px;
	}
	.logoName {
			font-size: 1.3em;
	}
}